#ifndef BILLYSHEET_WINDOW_HPP
#define BILLYSHEET_WINDOW_HPP

#include <memory>
#include <GLFW/glfw3.h>

namespace gui {
	class Window final {
	private:
		static void delete_glfw_window(GLFWwindow *glfWwindow) {
			glfwDestroyWindow(glfWwindow);
			glfwTerminate();
		}

		std::unique_ptr<GLFWwindow, decltype(&delete_glfw_window)> wwindow{ nullptr, delete_glfw_window };

	public:
		Window();

		~Window() noexcept = default;
	};
}


#endif //BILLYSHEET_WINDOW_HPP
